<%@ page import="com.atlassian.crowd.util.build.BuildUtils" %>
<%@ page contentType="text/html;charset=UTF-8" language="java" %>
<%@ taglib uri="/webwork" prefix="ww" %>
<html>
    <head>
        <title><ww:property value="getText('systeminfo.title')"/></title>
        <meta name="section" content="systeminfo" />
    </head>

    <body>

        <div class="crowdForm">

            <div class="formTitle">
                <h3 style="border-top: none"><ww:property value="getText('systeminfo.title')"/></h3>
            </div>

            <div class="formBody">
            <ww:include value="/console/include/generic_form_row.jsp">
                <ww:param name="label" value="getText('systeminfo.date.label')" />
                <ww:param name="value">
                        <ww:date format="EEEE, dd MMM yyyy" name="systemTime"/>
                </ww:param>
            </ww:include>

            <ww:include value="/console/include/generic_form_row.jsp">
                <ww:param name="label" value="getText('systeminfo.time.label')" />
                <ww:param name="value">
                        <ww:date format="HH:mm:ss" name="systemTime"/>
                </ww:param>
            </ww:include>

            <ww:include value="/console/include/generic_form_row.jsp">
                <ww:param name="label" value="getText('systeminfo.timezone.label')" />
                <ww:param name="value">
                        <ww:property value="timeZone"/>
                </ww:param>
            </ww:include>

            <ww:include value="/console/include/generic_form_row.jsp">
                <ww:param name="label" value="getText('systeminfo.javaversion.label')" />
                <ww:param name="value">
                        <ww:property value="javaVersion"/>
                </ww:param>
            </ww:include>

            <ww:include value="/console/include/generic_form_row.jsp">
                <ww:param name="label" value="getText('systeminfo.javavendor.label')" />
                <ww:param name="value">
                        <ww:property value="javaVendor"/>
                </ww:param>
            </ww:include>

            <ww:include value="/console/include/generic_form_row.jsp">
                <ww:param name="label" value="getText('systeminfo.jvmversion.label')" />
                <ww:param name="value">
                        <ww:property value="javaVMVersion"/>
                </ww:param>
            </ww:include>

            <ww:include value="/console/include/generic_form_row.jsp">
                <ww:param name="label" value="getText('systeminfo.jvmvendor.label')" />
                <ww:param name="value">
                        <ww:property value="javaVMVendor"/>
                </ww:param>
            </ww:include>

            <ww:include value="/console/include/generic_form_row.jsp">
                <ww:param name="label" value="getText('systeminfo.jvm.label')" />
                <ww:param name="value">
                        <ww:property value="javaRuntime"/>
                </ww:param>
            </ww:include>

            <ww:include value="/console/include/generic_form_row.jsp">
                <ww:param name="label" value="getText('systeminfo.username.label')" />
                <ww:param name="value">
                        <ww:property value="applicationUsername"/>
                </ww:param>
            </ww:include>

            <ww:include value="/console/include/generic_form_row.jsp">
                <ww:param name="label" value="getText('systeminfo.os.label')" />
                <ww:param name="value">
                        <ww:property value="operatingSystem"/>
                </ww:param>
            </ww:include>

            <ww:include value="/console/include/generic_form_row.jsp">
                <ww:param name="label" value="getText('systeminfo.architecture.label')" />
                <ww:param name="value">
                        <ww:property value="architecture"/>
                </ww:param>
            </ww:include>
            </div>

            <div class="formTitle">
                <h3><ww:property value="getText('systeminfo.statistics.label')"/></h3>
            </div>

            <div class="formBody">
            <ww:include value="/console/include/generic_form_row.jsp">
                <ww:param name="label" value="getText('systeminfo.totalmemory.label')" />
                <ww:param name="value">
                        <ww:property value="totalMemory"/>
                </ww:param>
            </ww:include>

            <ww:include value="/console/include/generic_form_row.jsp">
                <ww:param name="label" value="getText('systeminfo.usedmemory.label')" />
                <ww:param name="value">
                        <ww:property value="usedMemory"/>
                </ww:param>
            </ww:include>

            <ww:include value="/console/include/generic_form_row.jsp">
                <ww:param name="label" value="getText('systeminfo.freememory.label')" />
                <ww:param name="value">
                        <ww:property value="freeMemory"/>
                </ww:param>
            </ww:include>
            </div>

            <div class="formTitle">
                <h3><ww:property value="getText('systeminfo.runtimeinfo.label')"/></h3>
            </div>

            <div class="formTitle">
            <ww:include value="/console/include/generic_form_row.jsp">
                <ww:param name="label" value="getText('systeminfo.appserver.label')" />
                <ww:param name="value">
                        <%=application.getServerInfo()%>
                </ww:param>
            </ww:include>

            <ww:include value="/console/include/generic_form_row.jsp">
                <ww:param name="label" value="getText('systeminfo.dialect.label')" />
                <ww:param name="value">
                        <ww:property value="dialect" />
                </ww:param>
            </ww:include>

            <ww:include value="/console/include/generic_form_row.jsp">
                <ww:param name="label" value="getText('systeminfo.version.label')" />
                <ww:param name="value">
                        <%=BuildUtils.BUILD_VERSION%>
                </ww:param>
            </ww:include>

            <ww:include value="/console/include/generic_form_row.jsp">
                <ww:param name="label" value="getText('systeminfo.buildversion.label')" />
                <ww:param name="value">
                        <%=BuildUtils.BUILD_NUMBER%>
                </ww:param>
            </ww:include>

            <ww:include value="/console/include/generic_form_row.jsp">
                <ww:param name="label" value="getText('systeminfo.builddate.label')" />
                <ww:param name="value">
                        <%=BuildUtils.BUILD_DATE%>
                </ww:param>
            </ww:include>
            </div>

            <div class="formTitle">
                <h3><ww:property value="getText('systeminfo.license.title')"/></h3>
            </div>

            <div class="formBody">
            <ww:include value="/console/include/generic_form_row.jsp">
                <ww:param name="label" value="getText('systeminfo.serverid.label')" />
                <ww:param name="value">
                        <ww:property value="serverId" />
                </ww:param>
            </ww:include>
            </div>
        
        </div>


    </body>
</html>