<%@ taglib uri="/webwork" prefix="ww" %>

<html>
<head>
    <title>
        <ww:property value="getText('mailserver.title')"/>
    </title>
</head>
<body>

<div class="crowdForm">

    <form method="post" action="<ww:url namespace="/console/setup" action="mailserver" method="update" />" name="mailserver">

        <div class="formTitle">
            <h2>
                <ww:property value="getText('mailserver.title')"/>
            </h2>
        </div>
    
        <div class="formBody">
            <ww:include value="/console/include/generic_errors.jsp"/>

            <ww:textfield name="notificationEmail" size="50">
                <ww:param name="label" value="getText('mailserver.notification.label')"/>
                <ww:param name="description">
                    <ww:property value="getText('mailserver.notification.description')"/>
                </ww:param>
                <ww:param name="required" value="true"/>
            </ww:textfield>

            <ww:textfield name="host" size="50">
                <ww:param name="label" value="getText('mailserver.host.label')"/>
                <ww:param name="description">
                    <ww:property value="getText('mailserver.host.description')"/>
                </ww:param>
                <ww:param name="required" value="true"/>
            </ww:textfield>

            <ww:textfield name="from" size="50">
                <ww:param name="label" value="getText('mailserver.from.label')"/>
                <ww:param name="description">
                    <ww:property value="getText('mailserver.from.description')"/>
                </ww:param>
                <ww:param name="required" value="true"/>
            </ww:textfield>

            <ww:textfield name="prefix" size="50">
                <ww:param name="label" value="getText('mailserver.prefix.label')"/>
                <ww:param name="description">
                    <ww:property value="getText('mailserver.prefix.description')"/>
                </ww:param>
            </ww:textfield>

            <ww:textfield name="username">
                <ww:param name="label" value="getText('mailserver.username.label')"/>
                <ww:param name="description">
                    <ww:property value="getText('mailserver.username.description')"/>
                </ww:param>
            </ww:textfield>

            <ww:password name="password">
                <ww:param name="label" value="getText('mailserver.password.label')"/>
                <ww:param name="description">
                    <ww:property value="getText('mailserver.password.description')"/>
                </ww:param>
            </ww:password>
        </div>

        <div class="formFooter wizardFooter">

            <div class="buttons">

                <input type="submit" class="button" value="<ww:property value="getText('continue.label')"/> &raquo;"/>

            </div>
        </div>

    </form>

</div>

</body>
</html>