<#--
  - $Revision$
  - $Date$
  -
  - Copyright (C) 1999-2006 Jive Software. All rights reserved.
  - This software is the proprietary information of Jive Software. Use is subject to license terms.
-->
<#macro displayLicense licenseContainer diffMap={} userCount="">

    <#assign client=licenseContainer.client/>

    <#if client.name?has_content>
            ${client.name}<br/>
    </#if>
    <#if client.company?has_content>
            ${client.company} <br/>
    </#if>
    <#if client.url?has_content>
        ${client.url} <br />
    </#if>
    <br />

    <table width="100%" cellpadding="3" cellspacing="0" border="0">
    <tbody>
        <#list licenseContainer.licenses as license>
    		<tr valign="top">
        	<td>
            <#if LicenseUtils.isProductInstalled(license.product) >
                <div class="jive-table">

                <#if diffMap[license.product]?has_content>
                    <#assign diffs=diffMap[license.product] />
                <#else/>
                    <#assign diffs=[] />
                </#if>

                <table width="100%" cellpadding="3" cellspacing="0" border="0">
                <tbody>
                    <#if diffs?seq_contains('licenseID') >
                        <tr class="license-just-added" valign="top">
                    <#else>
                        <tr valign="top">
                    </#if>
                        <td width="60%">License ID</td>
                        <td width="40%">${license.licenseID}</td>
                    </tr>

                    <tr valign="top">
                        <td width="60%">Product</td>
                        <td width="40%">${LicenseUtils.getProductDisplayName(license.product)}</td>
                    </tr>

                    <#if license.edition?has_content >
                        <#if diffs?seq_contains('edition') >
                            <tr class="license-just-added" valign="top">
                        <#else>
                            <tr valign="top">
                        </#if>
                            <td width="60%">Edition</td>
                            <td width="40%">${LicenseUtils.getEditionDisplayName(license.product,license.edition)}</td>
                        </tr>
                    </#if>

                    <#if diffs?seq_contains('version') >
                        <tr class="license-just-added" valign="top">
                    <#else>
                        <tr valign="top">
                    </#if>
                        <td width="60%">Version</td>
                        <td width="40%">${license.version}</td>
                    </tr>

                    <#if diffs?seq_contains('licenseType') >
                        <tr class="license-just-added" valign="top">
                    <#else>
                        <tr valign="top">
                    </#if>
                        <td width="60%">License Type</td>
                        <td width="40%">${license.licenseType.name}</td>
                    </tr>

                    <#if diffs?seq_contains('creationDate') >
                        <tr class="license-just-added" valign="top">
                    <#else>
                        <tr valign="top">
                    </#if>
                        <td width="60%">Creation Date</td>
                        <td width="40%">${license.creationDate?date}</td>
                    </tr>

                    <#if license.expiresDate?has_content >
                        <#if diffs?seq_contains('expiresDate') >
                            <tr class="license-just-added" valign="top">
                        <#else>
                            <tr valign="top">
                        </#if>
                            <td width="60%">Expiration Date</td>
                            <td width="40%">${license.expiresDate?date}</td>
                        </tr>
                    </#if>

                    <#if license.maintainenceExpiresDate?has_content >
                        <#if diffs?seq_contains('maintainenceExpiresDate') >
                            <tr class="license-just-added" valign="top">
                        <#else>
                            <tr valign="top">
                        </#if>
                            <td width="60%">Maintainence Expiration Date</td>
                            <td width="40%">${license.maintainenceExpiresDate?date}</td>
                        </tr>
                    </#if>

                    <#assign props=license.properties />
                    <#list props.keySet() as key>

                        <#if diffs?seq_contains(key) >
                            <tr class="license-just-added" valign="top">
                        <#else>
                            <tr valign="top">
                        </#if>
                            <td width="60%">
                                <#if key = "numSeats" && userCount?has_content >
                                    Current Users / Licensed Users
                                <#else>
                                    ${LicenseUtils.getPropertyDisplayName(key)}
                                </#if>
		            </td>
                            <td width="40%"><#if key = "numSeats" && userCount?has_content >${userCount} / </#if>${props[key]}</td>
                        </tr>

                    </#list>


                </tbody>
                </table>
                </div>
            </#if>
        </td>
    </tr>
        </#list>
        </tbody>
    </table>

</#macro>
